import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, l, s, t) => {
  for (var e = t > 1 ? void 0 : t ? m(l, s) : l, i = p.length - 1, o; i >= 0; i--)
    (o = p[i]) && (e = (t ? o(l, s, e) : o(e)) || e);
  return t && e && a(l, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--plusCircleFilled", this.class = "c-pieIcon c-pieIcon--plusCircleFilled", this.name = "IconPlusCircleFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--plusCircleFilled"><path d="M12.795 3.205a6.781 6.781 0 1 0 0 9.625 6.79 6.79 0 0 0 0-9.625Zm-1.391 5.451H8.656v2.748H7.344V8.656H4.596V7.344h2.748V4.596h1.312v2.748h2.748v1.312Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  u("icon-plus-circle-filled")
], r);
export {
  r as IconPlusCircleFilled
};
